import Foundation

@objc(QmsPlugin)
class QmsPlugin: NSObject {
  
  // Expose this module to React Native
  @objc static func requiresMainQueueSetup() -> Bool {
    return false
  }

  // Example method: multiply two numbers
  @objc
  func multiply(_ a: Double, b: Double, resolver: RCTPromiseResolveBlock, rejecter: RCTPromiseRejectBlock) {
    let result = a * b
    resolver(result)
  }
}
